Skip to content
Start here

Get screenshot

client.urlScanner.scans.screenshot(stringscanId, ScanScreenshotParams { account_id, resolution } params, RequestOptionsoptions?): Response
GET/accounts/{account_id}/urlscanner/v2/screenshots/{scan_id}.png

Get scan’s screenshot by resolution (desktop/mobile/tablet).

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
URL Scanner WriteURL Scanner Read
ParametersExpand Collapse
scanId: string

Scan UUID.

formatuuid
params: ScanScreenshotParams { account_id, resolution }
account_id: string

Path param: Account ID.

resolution?: "desktop" | "mobile" | "tablet"

Query param: Target device type.

One of the following:
"desktop"
"mobile"
"tablet"
ReturnsExpand Collapse
unnamed_schema_9 = Response

Get screenshot

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const response = await client.urlScanner.scans.screenshot('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e', {
  account_id: 'account_id',
});

console.log(response);

const content = await response.blob();
console.log(content);
Returns Examples